﻿@model List<UserRolesVM>
@{
    ViewData["Title"] = "Add or Remove User Roles";
    string userID = ViewBag.UserID;
}

<form method="post">
    <div class="card">
        <div class="card-header"><h2>Add or remove roles from this user.</h2></div>
        <div class="card-body">
            <div asp-validation-summary="All" class="text-danger"></div>
            @for (int i = 0; i < Model.Count; i++)
            {
                <div class="form-check m-1">
                    <input type="hidden" asp-for="@Model[i].RoleID" />
                    <input type="hidden" asp-for="@Model[i].RoleName" />
                    <input asp-for="@Model[i].IsSelected" class="form-check-input" />
                    <label asp-for="@Model[i].IsSelected" class="form-check-label">
                        @Model[i].RoleName
                    </label>
                </div>
            }
        </div>
        <div class="card-footer">
            <input type="hidden" name="userID" value="@userID" />
            <input type="submit" value="Update" class="btn btn-success" />
            <a asp-action="UpdateUser" asp-route-id="@userID" class="btn btn-success"><i class="fa fa-times"></i> Cancel</a>
        </div>
    </div>

</form>